### Hierarchy

- unknown
  - DepositRequest

## Index

### Constructors

- constructor

### Methods

- clearPubKeyRing
- clearSenderNodeAddress
- getContractSignature
- getCurrentDate
- getDepositTxHex
- getDepositTxKey
- getPaymentAccountKey
- getPaymentAccountKey_asB64
- getPaymentAccountKey_asU8
- getPubKeyRing
- getSenderNodeAddress
- getTradeId
- getUid
- hasPubKeyRing
- hasSenderNodeAddress
- serializeBinary
- setContractSignature
- setCurrentDate
- setDepositTxHex
- setDepositTxKey
- setPaymentAccountKey
- setPubKeyRing
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DepositRequest(): DepositRequest

- Inherited from jspb.Message.constructor

  #### Returns DepositRequest

## Methods

### clearPubKeyRing

- clearPubKeyRing(): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1513

  #### Returns DepositRequest

### clearSenderNodeAddress

- clearSenderNodeAddress(): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1508

  #### Returns DepositRequest

### getContractSignature

- getContractSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:1521

  #### Returns string

### getCurrentDate

- getCurrentDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:1518

  #### Returns number

### getDepositTxHex

- getDepositTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:1524

  #### Returns string

### getDepositTxKey

- getDepositTxKey(): string

- - Defined in src/protobuf/pb_pb.d.ts:1527

  #### Returns string

### getPaymentAccountKey

- getPaymentAccountKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1530

  #### Returns string | Uint8Array

### getPaymentAccountKey_asB64

- getPaymentAccountKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1532

  #### Returns string

### getPaymentAccountKey_asU8

- getPaymentAccountKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1531

  #### Returns Uint8Array

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:1510

  #### Returns undefined | PubKeyRing

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1505

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1502

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1515

  #### Returns string

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1512

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1507

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1535

  #### Returns Uint8Array

### setContractSignature

- setContractSignature(value: string): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1522

  #### Parameters

  - ##### value: string

  #### Returns DepositRequest

### setCurrentDate

- setCurrentDate(value: number): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1519

  #### Parameters

  - ##### value: number

  #### Returns DepositRequest

### setDepositTxHex

- setDepositTxHex(value: string): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1525

  #### Parameters

  - ##### value: string

  #### Returns DepositRequest

### setDepositTxKey

- setDepositTxKey(value: string): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1528

  #### Parameters

  - ##### value: string

  #### Returns DepositRequest

### setPaymentAccountKey

- setPaymentAccountKey(value: string | Uint8Array): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1533

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DepositRequest

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1511

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns DepositRequest

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1506

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns DepositRequest

### setTradeId

- setTradeId(value: string): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1503

  #### Parameters

  - ##### value: string

  #### Returns DepositRequest

### setUid

- setUid(value: string): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1516

  #### Parameters

  - ##### value: string

  #### Returns DepositRequest

### toObject

- toObject(includeInstance?: boolean): DepositRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1536

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DepositRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1539

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DepositRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DepositRequest, reader: BinaryReader): DepositRequest

- - Defined in src/protobuf/pb_pb.d.ts:1540

  #### Parameters

  - ##### message: DepositRequest

  - ##### reader: BinaryReader

  #### Returns DepositRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DepositRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1538

  #### Parameters

  - ##### message: DepositRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DepositRequest ): DepositRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1537

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DepositRequest

  #### Returns DepositRequest . AsObject

Generated using TypeDoc